Bug 5411 - Existing renewal rules are not translated into new rule structure on upgrade
Summary: Existing renewal rules are not translated into new rule structure on upgrade
Status: CLOSED INVALID
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Target Milestone: ---
Assignee: Henri-Damien LAURENT
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-15 22:41 UTC by Liz Rea
Modified: 2012-10-26 00:40 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2010-11-15 22:41:37 UTC
I just updated a 3.00 db to a 3.03.00.003, and discovered that the renewal rules were not translated correctly into the new rule structure.

Renewal rules (Itemtypes) pre-upgrade: http://screencast.com/t/kBEy1R79t8

Issuing rules pre-upgrade: http://screencast.com/t/Gw6Y0l9hvl6

Issuing rules post-upgrade: http://screencast.com/t/8AplaPge

Item Types post-upgrade: http://screencast.com/t/P0x3jB27w

It seems to me that the upgrade script should have created rules such as:

default:<itemtype> <everything the same as default> <number of renewals for that itype>

The only case where it wouldn't need to bother to create rules would be if all of the item types pre-upgrade had the same renewal limit

This bug was likely introduced with DB revision 3.01.00.065 (thanks gmcharlt)
Comment 1 Liz Rea 2010-11-15 22:47:32 UTC
and it's a little extra bad, since the previously set itype renewal limits are lost in the shuffle.
Comment 2 Katrin Fischer 2012-01-06 15:56:27 UTC
As this is related to 3.0.x - should it be WONTFIX?
Has it been resolved on another bug?
Comment 3 Liz Rea 2012-01-17 20:02:54 UTC
I haven't seen this behavior - going to close it.